Skip to main content
GET
/
v1
/
cdr
/
{uuid}
Retrieve CDR
curl --request GET \
  --url https://api.wavix.com/v1/cdr/{uuid} \
  --header 'Authorization: Bearer <token>'
{
  "date": "2023-08-21T06:43:36.000Z",
  "from": "14302287001",
  "to": "33170363950",
  "disposition": "answered",
  "duration": 6,
  "destination": "France",
  "per_minute": "0.027",
  "recording_url": "https://api.wavix.com/v1/recordings/recording_id",
  "charge": "0.162",
  "sip_trunk": "32882",
  "forward_fee": "0.0",
  "uuid": "99df5ffd-962a-410f-bcce-d08f1f7f328c",
  "parent_uuid": "99df5ffd-962a-410f-bcce-d08f1f7f328c",
  "answered_by": "human"
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Path Parameters

uuid
string
required

Call ID.

Example:

"aa566501-c591-4a8b-b3b9-cc1295398b72"

Query Parameters

show_transcription
boolean

Indicates whether to include transcription.

Example:

true

Response

Call details.

date
string<date-time>
required

Call date and time in ISO 8601 format.

Example:

"2023-08-21T06:43:36.000Z"

from
string
required

Caller ID (ANI).

Example:

"14302287001"

to
string
required

Dialed number (DNIS).

Example:

"33170363950"

disposition
enum<string>
required

Call disposition.

Available options:
answered,
noanswer,
busy,
failed,
all
duration
integer<int32>
required

Call duration in seconds.

Example:

6

destination
string
required

Destination of the call. For outbound calls, contains the country name and, optionally, a mobile carrier or city name. For inbound calls, includes the SIP trunk name, SIP URI, or PSTN number the call is forwarded to.

Example:

"France"

per_minute
string
required

Price per minute in USD.

Example:

"0.027"

charge
string
required

Total charge for the call in USD.

Example:

"0.162"

uuid
string
required

Call ID.

Example:

"99df5ffd-962a-410f-bcce-d08f1f7f328c"

recording_url
string

URL of the recorded call file. Call recording can be enabled on a SIP trunk for outbound calls and on a phone number for inbound calls.

Example:

"https://api.wavix.com/v1/recordings/recording_id"

sip_trunk
string

System-generated SIP trunk login. For outbound calls only.

Example:

"32882"

forward_fee
string

PSTN forwarding price in USD. For inbound calls only when forwarded to PSTN.

Example:

"0.0"

parent_uuid
string | null

Parent call ID.

Example:

"99df5ffd-962a-410f-bcce-d08f1f7f328c"

answered_by
string | null

Who answered the call. Possible values are human, machine.

Example:

"human"